Bug 481341 - loader does not find tg3 NIC for network install
loader does not find tg3 NIC for network install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-01-23 11:31 EST by Will Woods
Modified: 2009-02-02 12:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 12:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2009-01-23 11:31:28 EST
I'm attempting a http install of 20090123 Rawhide (Anaconda 11.5.0.11), using kernel/initrd in /boot. 

On either i386 or x86_64, I get stuck at the "No driver found" screen. The following error message is in the anaconda log:
  ERROR   : writeDisabledNetInfo failure: 1

syslog has some messages like:

nm-system-settings: intial_add_devices_of_type: could not get device from HAL: The name org.freedesktop.HAL was not provided by any .service files (2).

nm-system-settings: ifcfg-rh: Could not get hostname: failed to read /etc/sysconfig/network

dbus-daemon: Rejected send message, 8 matched rules; type="error", sender=":1.4" (uid=0 pid=1422 comm="/usr/sbin/wpa_supplicant ...") interface="(unset)" member="(unset)" error name="fi.epitest.hostap.WPASupplicant.InvalidInterface" requested_reply=0 destination=":1.2" (uid=0 pid=1415 comm="/usr/sbin/NetworkManager ..."))

NetworkManager: <info> HAL re-appeared

Choosing "Select driver" and selecting "tg3" manually has no effect - no new log messages, nothing.

Hitting "Back" causes a SEGV.

This breaks our typical test-install automation stuff, so I'm putting it on F11Alpha; feel free to move it off if you don't think it's worth delaying the release.
Comment 1 Will Woods 2009-01-23 11:32:22 EST
Err, sorry - it breaks test-install automation stuff, but only for certain hardware. Reconsidered a bit - moving it to F11Blocker.
Comment 2 Will Woods 2009-01-27 14:01:15 EST
I think I figured this one out. tg3 requires firmware now, and it's not in the anaconda initrd.

[root@brinstar ~]# dmesg | grep tigon
tg3 0000:04:00.0: firmware: requesting tigon/tg3_tso.bin
[root@brinstar ~]# ls /lib/firmware/tigon/tg3_tso.bin
/lib/firmware/tigon/tg3_tso.bin
[root@brinstar ~]# lsinitrd /boot/snake-initrd.img.1ySoez | grep tg3_tso.bin
init
cpio: premature end of file
[root@brinstar ~]# 

anaconda patch coming soon.
Comment 3 Will Woods 2009-01-27 14:04:00 EST
The patch should add something like this to mk-images' makemoduletree():

    echo "Copying required firmware..."
    find $MMB_DIR/lib/modules/ -name *.ko | while read module ; do
        for fw in $(modinfo -F firmware $module); do
            cp $KERNELROOT/lib/firmware/$fw $MBD_DIR/firmware
        done
    done

I'll send a real patch along once I've actually tested it.
Comment 4 James Laska 2009-01-27 14:27:42 EST
Is there a workaround for alpha testers impacted by this?
Comment 5 Will Woods 2009-01-27 15:10:08 EST
Short of rebuilding the initrd to include the firmware, no. We'll try to get a patch into Alpha if possible.
Comment 6 Chris Lumens 2009-01-28 16:25:08 EST
I've pushed Will's patch for this that was sent to anaconda-devel-list, so this should be fixed in the next build of anaconda.  Worth a test before declaring victory, though.
Comment 7 Will Woods 2009-02-02 12:34:23 EST
Tested with current Rawhide / F11Alpha RC images. tg3 works as expected.

Note You need to log in before you can comment on or make changes to this bug.